/* GSI - general sound interface
 *
 * synth_oss.h (OSS synth API functions)
 *
 * By W.H.Scholten 1998,1999
 *
 * This file is released to the public domain.
 */


#ifndef _GSI__gsisynth__api__synth_oss_h
#define _GSI__gsisynth__api__synth_oss_h

#define GSISYTNH_HW gsisynth_device_t *hw, gsisynth_devicedata_t *hw_status

int  oss_gus_init (GSISYTNH_HW);
int  oss_gus_done (GSISYTNH_HW);
int  oss_gus_load_instrument (GSISYTNH_HW, int pgm);
int  oss_gus_clear_instrument (GSISYTNH_HW, int pgm);
int  oss_gus_clear_instruments (GSISYTNH_HW);
int  oss_gus_write_instrument (GSISYTNH_HW, int pgm, int instrument_type, int instrument_len, char *instrument_data);
int  oss_gus_sizeof_default_instrument (GSISYTNH_HW, int pgm);
int  oss_gus_instrument_memory_available (GSISYTNH_HW);

int  oss_opl_init (GSISYTNH_HW);
int  oss_opl_done (GSISYTNH_HW);
int  oss_opl_load_instrument (GSISYTNH_HW, int pgm);
int  oss_opl_clear_instrument (GSISYTNH_HW, int pgm);
int  oss_opl_clear_instruments (GSISYTNH_HW);
int  oss_opl_write_instrument (GSISYTNH_HW, int pgm, int instrument_type, int instrument_len, char *instrument_data);
int  oss_opl_sizeof_default_instrument (GSISYTNH_HW, int pgm);
int  oss_opl_instrument_memory_available (GSISYTNH_HW);

#endif /* _GSI__gsisynth__api__synth_oss_h */
