/* GSI - general sound interface
 *
 * midi_control.h
 *
 * By W.H.Scholten 1998 - 2000
 *
 * This file is released to the public domain.
 */


#ifndef _GSI__gsisynth__midi_control_h
#define _GSI__gsisynth__midi_control_h


#define _SONG_NONE              0 /* _SONG_NO_STATUS ? */
#define _SONG_PLAYING           1
#define _SONG_PAUSED            2


/* Available synthesizer hardware; if multiple, use highest numbered one found
 * (at the moment GUS) by default. */
#define MIDI_HW				   -1 /* should make this 254? */
#define SYNTH_HW_NONE			0
#define SYNTH_HW_FM				1
#define SYNTH_HW_OPL			2
#define SYNTH_HW_GUS			3
#define SYNTH_HW_AWE32			4
#define SYNTH_PCM_EMULATION   255

/* type of midi playing: */
#define _MIDI_GM                0
#define _MIDI_GS                1
#define _MIDI_MT32              2


#endif /* _GSI__gsisynth__midi_control_h */
