/* GSI - general sound interface
 *
 * mixer_devaudio.c - mixer setting/reading for /dev/audio (i.e. nop's)
 *
 *
 * Copyright (C) 1998 W.H.Scholten
 *
 * Redistribution and use in source and binary forms, with or
 * without modification, are permitted provided that the following
 * conditions are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS
 * IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
 * AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


/*---------------------------------------------------------------------------*
 *      Dev audio has no mixer so ..
 *---------------------------------------------------------------------------*/
#if  USE_DEV_AUDIO
static int  api_init_mixer(void) {
// emulate is useless? Just use the pcm volume (and internal CD volume) ?
//	emulate_master_volume = True;
//	gsimixer_volume[ GSI_MASTER ][0] = 256;
	return -1;
}


static int  api_close_mixer(void) {

	return -1;
}

static void api_set_volume(int device_type, int device_no, int vol) {
}


static int  api_get_volume(int device_type, int device_no) {
	return -1; /* Or master = 256 (emul), synth = softsynth vol, dsp = emul? */
}
#endif /* USE_DEV_AUDIO */


/*      EOF mixer_devaudio.c */
