/* GSI - general sound interface
 *
 * command_decode.h - 
 *
 * 1998 - 2000 by W.H.Scholten
 *
 * This file is released to the public domain.
 */


#ifndef _GSI__server__command_decode_h
#define _GSI__server__command_decode_h

#include <gsi/whs_types.h>
int  cmd_init_direct_block (gsi_client_t *c, int offset, void *data, int len);
int  cmd_init_block (gsi_client_t *c, int offset, int alloc_len, int len, int *error);
void post_decode_command (gsi_client_t *c);
void adjust_for_cmd_bytes_used (gsi_client_t *c);


void _decode_nuke_command (gsi_client_t *c, uint32 length);
void _decode_error__bad_slot (gsi_client_t *c, int slot);
void _decode_error__slot_busy (gsi_client_t *c, int slot);
void _decode_error__no_room (gsi_client_t *c, int slot, int length);
void _decode_error__no_such_file (gsi_client_t *c, int slot);

extern int  cmd_bytes_used;
//extern int  cmd_block_bytes_used;
extern int  cmd_decode_finished;

#endif /* _GSI__server__command_decode_h */
