/* GSI - general sound interface
 *
 * shm.h
 *
 * dd 1999-2000 by W.H.Scholten
 *
 * This file is released to the public domain.
 */


#ifndef _GSI__server__shm_h
#define _GSI__server__shm_h

#include "../gsi_server.h"

int  get_shmid (int size, struct gsis_shm *shm);
/*   Get a new shm buffer. */

int  attach_shm(int shmid);
/*   Enable the shm buffer. */

int  delete_shm (char *shmaddr);
/*   Delete shm buffer. */


#endif /* _GSI__server__shm_h */
