/* GSI - general sound interface
 *
 * tables.h
 *
 * dd 2000 by W.H.Scholten
 *
 * This file is released to the public domain.
 */


#ifndef _GSI__server__tables_h
#define _GSI__server__tables_h


extern int16 volume_table [ 257 ][ 256 ];
extern int  sinus_table [ 1024 ];  /* for wave playing and observer rotation. */

void  make_sinus (void);
void  make_volume_table (void);

#include <gsi/pcm_data.h>
extern int _server_gsi_bytes_per_sample [ GSI_NUM_SAMPLE_TYPES ];
extern int _server_gsi_types[];
extern char *_server_gsi_type_strings[];

#endif /* _GSI__server__tables_h */
