/* GSI - general sound interface
 *
 * io.h - byte order stuff+ reading multiple bytes etc
 *
 * 2000 by W.H.Scholten
 *
 * This file is released to the public domain.
 */


#ifndef _GSI__gsisynth__io_h
#define _GSI__gsisynth__io_h


#include <gsi/whs_types.h>


#define msb_int32_at(buf) ((((int32) (buf)[0]) << 24) | (((int32) (buf)[1]) << 16) | (((int32) (buf)[2]) << 8) | (buf)[3])

#define msb_int16_at(buf) ((((int16) (buf)[0]) << 8) | (buf)[1])

#define lsb_int32_at(buf) ((((int32) (buf)[0])) | (((int32) (buf)[1]) << 8) | (((int32) (buf)[2]) << 16) | (((int32) (buf)[3]) << 24))

#define lsb_int16_at(buf) ((((int16) (buf)[1]) << 8) | (buf)[0])


#endif /* _GSI__gsisynth__io_h */
