/* GSI - general sound interface
 *
 * api.h (mixer API functions)
 *
 * 1996 - 1999 by W.H.Scholten
 *
 * This file is released to the public domain.
 */


#ifndef _GSI__gsimixer__api_h
#define _GSI__gsimixer__api_h

#include <gsi/mixer_data.h>

static int  api_init_mixer(void);
static int  api_close_mixer(void);
static void api_set_volume(int device_type, int device_no, int vol);
static int  api_get_volume(int device_type, int device_no);


#endif /* _GSI__gsimixer__api_h */
