/* GSI - general sound interface
 *
 * log.h - message & error logging.
 *
 * 2000 by W.H.Scholten
 *
 * This file is released to the public domain.
 */

#ifndef _GSI__gsi__log_h
#define _GSI__gsi__log_h

#define GSI_MESSAGE_ERROR   0
#define GSI_MESSAGE_NOTICE  1

void log_message (int type, char *format, ...);
void log_simple_message (int type, char *msg);

#endif /* _GSI__gsi__log_h */
