/* GSI - general sound interface: Keith Packard's software midi synthesizer
 *
 * write_instrument.h - 
 *
 * dd 1999 - 2001 by W.H.Scholten
 *
 * This file is released to the public domain.
 */


#ifndef _GSI__gsimidi_pcm__instrument__write_instrument_h
#define _GSI__gsimidi_pcm__instrument__write_instrument_h

#include "../kpmidi_patch.h"

int
InstrumWriteBinary (const MidiPatch *p,
					const float  scale,
					const char   *prefix,
					const char   *file);

int
InstrumWriteText (const MidiPatch *p,
				  const float  scale,
				  const char   *prefix,
				  const char   *file);

/* Write all instruments (what exactly does this do?) */
int
PatchWrite (const char *patch,
			const MidiMap *map,
			Boolean writeInstruments,
			Boolean writeBinary);

#endif /* _GSI__gsimidi_pcm__instrument__write_instrument_h */
