/* GSI - general sound interface
 *
 * mixer.h
 *
 * 1996-2000 by W.H.Scholten
 *
 * This file is released to the public domain.
 */


#ifndef _GSI__server__mixer__mixer_h
#define _GSI__server__mixer__mixer_h

#include <gsi/mixer_data.h>

extern char *mixer_device;

/* Application volumes (0-256): */
void mixer_set_application_volume (int app_devtype, int app_devno, int vol);
void mixer_set_internal_pcm_volume (int vol);

int  mixer_init (void);
int  mixer_close (void);

int  mixer_mute (void);
int  mixer_unmute (void);
int  mixer_set_balance (int new_balance);
int  mixer_set_device_volume (int devtype, int devno, int vol);
int  mixer_get_device_volume (int devtype, int devno);

void mixer_send_status (void);
void mixer_send_status_of (int devtype, int devno);

#endif /* _GSI__server__mixer__mixer_h */
