/* GSI - general sound interface
 *
 * cd.h
 *
 * By W.H.Scholten 1999
 *
 * This file is released to the public domain.
 */


#ifndef _GSI__server__play__cd__cd_h
#define _GSI__server__play__cd__cd_h

#include <gsi/device.h>

#include <signal.h>
extern volatile sig_atomic_t cd_track_alarm;

extern int  cd_owner[ 16 ];

extern int  attach_cd_device(char *device, char *description);

extern int  cd_init(void);
extern void cd_track_event (int cd_event, int cd, int track);

extern int  is_a_cd_owner(int cd, int client);


#endif /* _GSI__server__play__cd__cd_h */
